Mailinglist Archive: opensuse-gnome (10 mails)

< Previous Next >
Re: [opensuse-gnome] Unable to install several patches after upgrading to Gnome 3.6

Quoting Robert Munteanu <robert.munteanu@xxxxxxxxx>:

Hi,

I've upgraded to Gnome 3.6 about a month ago and I noticed that I have
some patches which can't be installed due to conflicts:


The real story is two-fold (as usual :) ) I'm not sure how zypper 'verifies' if a patch applies to a system or not.. very likely 'just' based on version numbers..

zypper> lu -t patch
The following software management updates will be installed first:

Repository | Name | Version | Category |
Status | Summary
---------------------+-------------------+---------+-------------+--------+---------------------------------------------------------
openSUSE-12.2-Update | openSUSE-2012-658 | 1 | recommended |
needed | PackageKit: update zypp backend to fix error when fetc->

I will have to check upon this one.. I might actually have missed getting this very patch also in 3.6 repository (will verify this evening).
Still, zypper would likely still not know if the patch is there or not...

The PK in G:S:3.6 is slightly different compared to the 'stock' one for it knows about GStreamer 1.0... which 12.2 version does not.

The following updates are also available:

Repository | Name | Version | Category |
Status | Summary
---------------------+-------------------+---------+-------------+--------+---------------------------------------
openSUSE-12.2-Update | openSUSE-2012-587 | 1 | recommended |
needed | glib2: update to 2.32.4 stable version

This one should not even be needed: you should be running glib 2.34.1 on your system!


openSUSE-12.2-Update | openSUSE-2012-621 | 1 | recommended |
needed | libwacom: Update to version 0.6

Version 0.6 is part of GNOME:STABLE:3.6... it should be the same version, so having the patch installer or not should not make a difference.. not sure why zypper does not get it.

Best regards,
Dominique
--
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-gnome+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References